Entwurf Linie

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Line and the translation is 19% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
FreeCAD.png
Nächste: Draht Draft Wire.svg Arrow-right.svg

Draft Line.svg Entwurf Linie

Menüeintrag
Entwurf → Linie
Arbeitsbereich
Entwurf, Arch Arbeitsbereich
Standardtastenkürzel
L I
Eingeführt in Version
0.7
Siehe auch
Entwurf Draht, Entwurf Punkt

Beschreibung

Das Linienwerkzeug erzeugt eine gerade Linie, die durch zwei Punkte definiert ist. Es wird das Entwurf Linienstil verwendet, das auf dem Entwurf Tablett gesetzt ist. Das Linienwerkzeug verhält sich genau wie das Entwurf Draht Werkzeug, nur dass es nach zwei Punkten stoppt.

A Draft Line is in fact a Draft Wire with only two points.

Draft Line example.jpg

Linie erzeugt durch zwei Punkte

Anwendung

See also: Draft Tray, Draft Snap and Draft Constrain.

  1. Drücke die Draft Line.svg Entwurf Linie Schaltfläche, oder verwende EntwurfDraft Line.svg Linie aus dem oberen Menü oder verwende die Tastaturkürzel: L, dann I.
  2. Klicke auf einen ersten Punkt in der 3D Ansicht, oder gib eine Koordinate ein und drücke die Taste Draft AddPoint.svgPunkt hinzufügen Taste.
  3. Klicke auf einen zweiten Punkt in der 3D Ansicht, oder gib eine Koordinate ein und drücke die Taste Draft AddPoint.svg Punkt hinzufügen Taste.

Options

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

Optionen

  • Drücke X}, Y oder Z nach dem ersten Punkt, um den zweiten Punkt auf der angegebenen Achse zu beschränken.
  • Um Koordinaten manuell einzugeben, gib einfach die Zahlen ein und drücken dann Enter zwischen den einzelnen X-, Y- und Z-Komponenten.
    • Du kannst auch die Polarkoordinaten des Punktes definieren, indem du einen Wert für "Länge" und "Winkel" angibst. Klicke auf das Kontrollkästchen neben "Winkel", um den Zeiger auf den angegebenen Winkel zu beschränken.
    • Du kannst die Draft AddPoint.svg Punkt hinzufügen Taste drücken wenn Du die gewünschten Werte hast, um den Punkt einzufügen.
  • Drücke {R oder klicke auf das Kontrollkästchen, um den relativen Modus umzuschalten. Wenn der Relativmodus eingeschaltet ist, sind die Koordinaten des zweiten Punktes relativ zum ersten; wenn nicht, sind sie absolut, bezogen auf den Ursprung (0,0,0).
  • Drücke T oder klicke auf das Kontrollkästchen, um den Weiter-Modus umzuschalten. Wenn der Fortsetzungsmodus eingeschaltet ist, wird das Linienwerkzeug nach der Eingabe des zweiten Punktes neu gestartet, so dass du ein weiteres Liniensegment zeichnen kannst, ohne die Werkzeugtaste erneut zu drücken.
  • Halte Ctrl während des Zeichnens gedrückt, um Fang deinen Punkt auf die nächstgelegene Fangposition zu zwingen, unabhängig von der Entfernung.
  • Halte Shift während des Zeichnens gedrückt, um deinen zweiten Punkt horizontal oder vertikal in Bezug auf den ersten zu Beschränkung.
  • Drücke Strg+Z oder drücke die Draft UndoLine.svg Rückgängig Schaltfläche, um den letzten Punkt rückgängig zu machen.
  • Drücke Esc oder die Taste Close, um den aktuellen Befehl abzubrechen.

Notes

Die Linie kann durch doppelklicken des Elements in der Baumansicht geändert werden oder durch drücken der Schaltfläche Draft Edit.svg Bearbeiten. Dann kannst Du die Punkte an eine andere Position ziehen.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates, lengths and angles: Edit → Preferences... → General → Units → Units settings → Number of decimals.
  • To change the initial focus of the task panel to the Length input box: Edit → Preferences... → Draft → General settings → Draft tools options → Set focus on Length instead of X coordinate. Note that you must move the pointer in the 3D view for the change to take effect.
  • If the Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available option is checked, the command will create a Part Line instead of a Draft Line.

Properties

Eigenschaften

Ein Linienobjekt teilt alle Eigenschaften eines Draft Wire.svgEntwurf Draht, jedoch sind nur einige dieser Eigenschaften auf die Linie anwendbar.

Scripting

Skripten

Siehe auch: Draft API und FreeCAD Skripten Grundlagen.

Das Linienwerkzeug kann in Makros und aus der Python Konsole heraus durch folgende Funktion angesprochen werden:

line = make_line(p1, p2)
line = make_line(LineSegment)
line = make_line(Shape)
  • Erzeugt ein Line Objekt zwischen den Punkten p1 und p2, jeweils definiert durch ihren FreeCAD.Vector, mit Einheiten in Millimetern.
  • Erstellt ein Line Objekt aus einem Part.LineSegment.
  • Erzeugt ein Line Objekt vom ersten Knoten bis zum letzten Knoten der angegebenen Shape.

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 500, 0)
p3 = App.Vector(-250, -500, 0)
p4 = App.Vector(500, 1000, 0)

line1 = Draft.make_line(p1, p2)
line2 = Draft.make_line(p3, p4)

doc.recompute()


FreeCAD.png
Nächste: Draht Draft Wire.svg Arrow-right.svg